unit uMyButton;

interface

uses
  System.SysUtils, System.Classes, Vcl.Controls, Vcl.StdCtrls;

type
  TMyButton = class(TButton)
  private
    FMyPropV1: string;
  protected
    procedure Loaded; override;
  public
  published
    property Caption stored false;
    property MyPropV1: string read FMyPropV1 write FMyPropV1;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TMyButton]);
end;

{ TMyButton }

procedure TMyButton.Loaded;
begin
  inherited;
  Caption := MyPropV1;
end;

end.
